Screen Shot

All stable and unstable builds
Source Code
IRC: irc.esper.net #dynmap

Supported versions:
Dynmap v1.9 or later

This plugin provides the option to make mobs visible, real-time, on the maps presented by Dynmap. It also serves as a simple example of the Dynmap Marker API, which may be of interest to other plugin developers for publishing their information on Dynmap.


To install, simply download the ZIP containing the plugin, unzip it into your plugins directory, and reload your server. Obviously, you will need Dynmap present and configured, as well - the current version of Dynmap-Mobs is compatible with Dynmap v1.6 or later.

After its first run, there will be a configuration file in the 'plugins/dynmap-mobs' directory, config.yml, which can be used to tailor which mobs are visible, control the display of the 'layer' on the dynmap maps for the mobs, and control visibility of the mobs.

In addition, the visibility of the mob icons can be controlled using the 'minzoom' setting. When non-zero, this specifies a minimum zoom-in level before mob icons are displayed (0=top zoom, so mobs are always shown). Also, the 'nolabels' option can be used to avoid setting labels for the icons.

This plugin utilizes Hidendra's plugin metrics system, which means that the following information is collected and sent to mcstats.org:

  • A unique identifier
  • The server's version of Java
  • Whether the server is in offline or online mode
  • The plugin's version
  • The server's version
  • The OS version/name and architecture
  • The core count for the CPU
  • The number of players online
  • The Metrics version

You must login to post a comment. Don't have an account? Register to get one!


Date created
Nov 18, 2011
Last update
Mar 15, 2016
Development stage
  • enUS
Apache License version 2.0
Curse link
Recent files
  • R: v1.3 for 1.9 Mar 15, 2016
  • R: v1.1.1 for CB 1.7.9-R0.2 Dec 04, 2014
  • R: v1.1 for CB 1.7.9-R0.2 Dec 04, 2014
  • R: v0.90 for CB 1.7.9-R0.2 Feb 02, 2014
  • R: v0.80 for 1.6.1 Jul 08, 2013



Required dependency